> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fint.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Obtener contacto por ID

> Obtener detalles de contacto por ID



## OpenAPI

````yaml get /contact/:contactId
openapi: 3.0.0
info:
  version: 1.0.0
  title: Fint API
  description: Fint API
servers:
  - url: https://api.fint.app/api/v1
    variables: {}
security: []
paths:
  /contact/:contactId:
    get:
      tags:
        - Contactos
      summary: Obtener contacto por ID
      description: Obtener detalles de contacto por ID
      parameters:
        - schema:
            type: number
          required: true
          name: contactId
          in: path
      responses:
        '200':
          description: Contacto recuperado con éxito por ID
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: number
                  name:
                    type: string
                  lastName:
                    type: string
                    nullable: true
                  createdAt:
                    type: string
                  documentType:
                    type: string
                    nullable: true
                    enum:
                      - DNI
                      - CUIT
                      - CUIL
                      - CDI
                      - LE
                      - LC
                      - CI Extranjera
                      - Pasaporte
                      - CI Policía Federal
                      - Certificado de Migración
                      - RUT
                      - Otro
                  documentNumber:
                    type: string
                    nullable: true
                  address:
                    type: string
                    nullable: true
                  country:
                    type: string
                    nullable: true
                  birthDate:
                    type: string
                    nullable: true
                  age:
                    type: number
                    nullable: true
                  phoneNumber:
                    type: string
                    nullable: true
                  mobileNumber:
                    type: string
                    nullable: true
                  email:
                    type: string
                    nullable: true
                    format: email
                  hasSiblings:
                    type: boolean
                  tags:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: number
                        name:
                          type: string
                        color:
                          type: string
                          nullable: true
                        icon:
                          type: string
                          nullable: true
                        group:
                          type: boolean
                        parent:
                          type: object
                          nullable: true
                          properties:
                            id:
                              type: number
                            name:
                              type: string
                            color:
                              type: string
                              nullable: true
                            icon:
                              type: string
                              nullable: true
                          required:
                            - id
                            - name
                            - color
                            - icon
                      required:
                        - id
                        - name
                        - color
                        - icon
                        - group
                        - parent
                  active:
                    type: boolean
                  activeStatus:
                    type: object
                    properties:
                      id:
                        type: number
                      name:
                        type: string
                      active:
                        type: boolean
                    required:
                      - id
                      - name
                      - active
                  siblings:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: number
                        name:
                          type: string
                        lastName:
                          type: string
                          nullable: true
                        tags:
                          type: array
                          items:
                            type: object
                            properties:
                              id:
                                type: number
                              name:
                                type: string
                              color:
                                type: string
                                nullable: true
                              icon:
                                type: string
                                nullable: true
                              group:
                                type: boolean
                              parent:
                                type: object
                                nullable: true
                                properties:
                                  id:
                                    type: number
                                  name:
                                    type: string
                                  color:
                                    type: string
                                    nullable: true
                                  icon:
                                    type: string
                                    nullable: true
                                required:
                                  - id
                                  - name
                                  - color
                                  - icon
                            required:
                              - id
                              - name
                              - color
                              - icon
                              - group
                              - parent
                      required:
                        - id
                        - name
                        - lastName
                        - tags
                  familyMembers:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: number
                        type:
                          type: string
                        notify:
                          type: boolean
                        name:
                          type: string
                        lastName:
                          type: string
                        hash:
                          type: string
                          nullable: true
                        documentType:
                          type: string
                          nullable: true
                          enum:
                            - DNI
                            - CUIT
                            - CUIL
                            - CDI
                            - LE
                            - LC
                            - CI Extranjera
                            - Pasaporte
                            - CI Policía Federal
                            - Certificado de Migración
                            - RUT
                            - Otro
                        documentNumber:
                          type: string
                          nullable: true
                        address:
                          type: string
                          nullable: true
                        city:
                          type: string
                          nullable: true
                        province:
                          type: string
                          nullable: true
                        phoneNumber:
                          type: string
                          nullable: true
                        whatsappNumber:
                          type: string
                          nullable: true
                        email:
                          type: string
                          nullable: true
                        portalUrl:
                          type: string
                      required:
                        - id
                        - type
                        - notify
                        - name
                        - lastName
                        - hash
                        - documentType
                        - documentNumber
                        - address
                        - city
                        - province
                        - phoneNumber
                        - whatsappNumber
                        - email
                        - portalUrl
                  items:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: number
                        name:
                          type: string
                        amount:
                          type: string
                        description:
                          type: string
                          nullable: true
                        status:
                          type: string
                          enum:
                            - active
                            - draft
                        type:
                          type: string
                          enum:
                            - credit
                            - debit
                            - mora
                        frequencyType:
                          type: string
                          enum:
                            - one_time
                            - monthly
                            - annually
                        startDate:
                          type: string
                          nullable: true
                        collectionCycles:
                          type: number
                          default: 1
                        generateInterestForLatePayment:
                          type: boolean
                          default: false
                        moraDetails:
                          type: array
                          items:
                            type: object
                            properties:
                              fromDay:
                                type: number
                              untilDay:
                                type: number
                              percentage:
                                type: string
                              daysToApply:
                                type: number
                                description: Days to apply the interest
                              interestCalculated:
                                type: string
                                description: Interest calculated for the mora
                              interestType:
                                type: string
                                enum:
                                  - FIXED
                                  - PERCENTAGE
                              itemId:
                                type: number
                              configId:
                                type: number
                              baseAmount:
                                type: string
                            required:
                              - fromDay
                              - untilDay
                              - percentage
                              - daysToApply
                              - interestCalculated
                              - interestType
                              - itemId
                              - configId
                              - baseAmount
                        useCase:
                          type: string
                          enum:
                            - subscription
                            - settlement
                            - event
                        isIndefinite:
                          type: boolean
                        condition:
                          type: string
                          enum:
                            - all
                            - some
                            - all_except
                            - none
                        amountType:
                          type: string
                          enum:
                            - fixed
                            - percentage
                        conditionItems:
                          type: array
                          items:
                            type: object
                            properties:
                              id:
                                type: number
                              name:
                                type: string
                              amount:
                                type: string
                              description:
                                type: string
                                nullable: true
                              status:
                                type: string
                                enum:
                                  - active
                                  - draft
                              type:
                                type: string
                                enum:
                                  - credit
                                  - debit
                                  - mora
                              frequencyType:
                                type: string
                                enum:
                                  - one_time
                                  - monthly
                                  - annually
                              startDate:
                                type: string
                              collectionCycles:
                                type: number
                                default: 1
                            required:
                              - id
                              - name
                              - amount
                              - description
                              - status
                              - type
                              - frequencyType
                              - startDate
                        originalAmount:
                          type: string
                        imageUrl:
                          type: string
                          nullable: true
                      required:
                        - id
                        - name
                        - amount
                        - description
                        - status
                        - type
                        - frequencyType
                        - startDate
                        - useCase
                        - isIndefinite
                        - condition
                        - amountType
                        - conditionItems
                        - originalAmount
                        - imageUrl
                  invoices:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: number
                        totalAmount:
                          type: string
                        totalPaid:
                          type: string
                        totalPending:
                          type: string
                        totalMora:
                          type: string
                        interestPaid:
                          type: string
                        interestSnapshot:
                          type: string
                        interestSnapshotDate:
                          type: string
                          nullable: true
                        status:
                          type: string
                          enum:
                            - DRAFT
                            - PENDING
                            - PAID
                            - CANCELED
                            - PARTIALLY_PAID
                            - BONIFIED
                        description:
                          type: string
                          nullable: true
                        date:
                          type: string
                        expirationDate:
                          type: string
                        settlement:
                          type: object
                          nullable: true
                          properties:
                            id:
                              type: number
                            name:
                              type: string
                            sentDate:
                              type: string
                              nullable: true
                            status:
                              type: string
                              enum:
                                - DRAFT
                                - SENDING
                                - SENT
                                - CANCELED
                          required:
                            - id
                            - name
                            - sentDate
                            - status
                        lastPaymentDate:
                          type: string
                          nullable: true
                        paymentMethod:
                          type: string
                          nullable: true
                        isManualPayment:
                          type: boolean
                        uniqueId:
                          type: string
                          nullable: true
                        applyInterest:
                          type: boolean
                        externalReference:
                          type: string
                          nullable: true
                      required:
                        - id
                        - totalAmount
                        - totalPaid
                        - totalPending
                        - totalMora
                        - interestPaid
                        - interestSnapshot
                        - interestSnapshotDate
                        - status
                        - description
                        - date
                        - expirationDate
                        - settlement
                        - lastPaymentDate
                        - uniqueId
                        - applyInterest
                        - externalReference
                  files:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: number
                        createdAt:
                          type: string
                        url:
                          type: string
                      required:
                        - id
                        - createdAt
                        - url
                  notes:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: number
                        createdAt:
                          type: string
                        note:
                          type: string
                        user:
                          type: object
                          nullable: true
                          properties:
                            id:
                              type: number
                            name:
                              type: string
                              nullable: true
                            lastName:
                              type: string
                              nullable: true
                          required:
                            - id
                            - name
                            - lastName
                        apiKey:
                          type: object
                          nullable: true
                          properties:
                            id:
                              type: number
                            name:
                              type: string
                          required:
                            - id
                            - name
                      required:
                        - id
                        - createdAt
                        - note
                        - user
                        - apiKey
                  teachableCourses:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: number
                        name:
                          type: string
                        expiresAt:
                          type: string
                        status:
                          type: string
                          enum:
                            - ENROLLED
                            - UNENROLLED
                        teachableCourseId:
                          type: number
                      required:
                        - id
                        - name
                        - expiresAt
                        - status
                        - teachableCourseId
                  reminderEnable:
                    type: boolean
                  status:
                    type: string
                    enum:
                      - ACCOUNT_OPENED
                      - NOT_DUE
                      - PAST_DUE
                      - ACCOUNT_SETTLED
                  metadata:
                    type: object
                    nullable: true
                    additionalProperties:
                      nullable: true
                  externalReference:
                    type: string
                    nullable: true
                  hash:
                    type: string
                    nullable: true
                  hasActiveSubscriptions:
                    type: boolean
                required:
                  - id
                  - name
                  - lastName
                  - createdAt
                  - documentType
                  - documentNumber
                  - address
                  - country
                  - birthDate
                  - age
                  - phoneNumber
                  - mobileNumber
                  - email
                  - hasSiblings
                  - tags
                  - active
                  - activeStatus
                  - reminderEnable
                  - status
                  - metadata
                  - externalReference
                  - hash
                  - hasActiveSubscriptions
        '404':
          description: Contacto no encontrado
          content:
            application/json:
              schema:
                type: object
                properties: {}
              example:
                message: Contact not found
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````